Bug 2727 - [UPDATE REQUEST] grub2, grub2-theme-rosa
: [UPDATE REQUEST] grub2, grub2-theme-rosa
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 12:07 MSD by Vladimir Testov
Modified: 2013-10-10 13:06 MSD (History)
4 users (show)

See Also:
RPM Package: grub2, grub2-theme-rosa
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
new grub theme (1.80 MB, image/jpeg)
2013-10-03 15:31 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Testov 2013-10-01 12:07:57 MSD
Updated grub2. Theme has been put in separate package. New theme options for proportional scaling. Unifont handling updated.

Should be accepted after the fonts-ttf-unifont update (to 6.2 version) and simultaneously with new package grub2-theme-rosa.
Comment 1 Vladimir Testov 2013-10-01 12:59:21 MSD
Advisory:
Updated grub2. Theme has been put in separate package. New theme options for proportional scaling. Unifont handling updated.

build lists:
GRUB2:
https://abf.rosalinux.ru/build_lists/1337577
https://abf.rosalinux.ru/build_lists/1337578
grub2-theme-rosa:
https://abf.rosalinux.ru/build_lists/1337569
https://abf.rosalinux.ru/build_lists/1337570

notes:
Grub updated should be accepted after the fonts-ttf-unifont update (to 6.2 version) and simultaneously with new package grub2-theme-rosa.
Comment 2 Vladimir Testov 2013-10-01 14:53:11 MSD
UPDATED.

Advisory:
Updated grub2. Theme has been put in separate package. New theme options for proportional scaling. Unifont handling updated. Updated texlive dependencies.

build lists:
GRUB2:
https://abf.rosalinux.ru/build_lists/1337651
https://abf.rosalinux.ru/build_lists/1337650
grub2-theme-rosa:
https://abf.rosalinux.ru/build_lists/1337569
https://abf.rosalinux.ru/build_lists/1337570

notes:
Grub updated should be accepted after the fonts-ttf-unifont update (to 6.2 version) and simultaneously with new package grub2-theme-rosa.
Comment 3 Vladimir Testov 2013-10-03 15:31:42 MSD
new grub2-theme-rosa buildlists will be sent in 5 minutes
Comment 4 Vladimir Potapov 2013-10-03 15:31:50 MSD
Created attachment 1948 [details]
new grub theme

This is the right theme for the grub?
Comment 5 Vladimir Testov 2013-10-03 15:35:26 MSD
UPDATED.

Advisory:
Updated grub2. Theme has been put in separate package. New theme options for proportional scaling. Unifont handling updated. Updated texlive dependencies.

build lists:
GRUB2:
https://abf.rosalinux.ru/build_lists/1337651
https://abf.rosalinux.ru/build_lists/1337650
grub2-theme-rosa:
https://abf.rosalinux.ru/build_lists/1338304
https://abf.rosalinux.ru/build_lists/1338305

notes:
Grub updated should be accepted after the fonts-ttf-unifont update (to 6.2 version) and simultaneously with new package grub2-theme-rosa.
Comment 6 Vladimir Testov 2013-10-03 15:36:35 MSD
No, it is not right theme for GRUB2. Did you updated BOTH grub2 and grub2-theme-rosa at the same time?
Comment 7 Vladimir Testov 2013-10-03 15:38:52 MSD
There is some abf malfunction. So I can't rebuild the grub2-theme-rosa package. The only difference is in Obsoletes section so it has nothing to do with functionality.
Comment 8 Vladimir Testov 2013-10-03 16:01:54 MSD
The problem has confirmed. Working.
Comment 9 Vladimir Testov 2013-10-03 17:00:36 MSD
The problem localized and fixed. Waiting for abf to rebuild packages.
Comment 10 Vladimir Testov 2013-10-07 10:27:16 MSD
Updated. Dependency issue fixed.

Advisory:
Updated grub2. Theme has been put in separate package. New theme options for proportional scaling. Unifont handling updated. Updated texlive dependencies.

build lists:
GRUB2:
https://abf.rosalinux.ru/build_lists/1338990
https://abf.rosalinux.ru/build_lists/1338991
grub2-theme-rosa:
https://abf.rosalinux.ru/build_lists/1339000
https://abf.rosalinux.ru/build_lists/1339001

notes:
Grub update should be accepted after the fonts-ttf-unifont update (upto 6.2 version) and simultaneously with new package grub2-theme-rosa.
Comment 11 Vladimir Potapov 2013-10-07 16:50:46 MSD
устанавливается grub-0.97-39-rosa2012.1.i586.rpm из /var/cache/urpmi/rpms
Подготовка...                    #############################################################################################################################################
Установка не удалась:
        файл /sbin/grub-md5-crypt из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
        файл /sbin/grub-terminfo из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
        файл /usr/share/info/grub.info.xz из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
        файл /usr/share/man/man8/grub.8.xz из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586

Установка не удалась:   файл /sbin/grub-md5-crypt из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
        файл /sbin/grub-terminfo из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
        файл /usr/share/info/grub.info.xz из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
        файл /usr/share/man/man8/grub.8.xz из устанавливаемого пакета grub-0.97-39.i586 конфликтует с файлом из пакета grub-efi-0.97-94.i586
Comment 12 Aleksandr Kazantcev 2013-10-07 16:54:24 MSD
Why you install legacy GRUB?!!

grub-0.97 not a grub2
Comment 13 Vladimir Testov 2013-10-07 17:19:28 MSD
Mmm... The same question.
Comment 14 Vladimir Potapov 2013-10-07 17:49:08 MSD
(In reply to comment #12)
> Why you install legacy GRUB?!!
> 
> grub-0.97 not a grub2

Sorry, I fix it. The update route to extended testing.
Comment 15 Vladimir Testov 2013-10-08 09:54:47 MSD
What is the status of the QA testing?
Comment 16 Vladimir Potapov 2013-10-08 12:11:37 MSD
(In reply to comment #15)
> What is the status of the QA testing?

The status is'n't assigned. The update route to extended testing, after extended check on many computers the update received QA status.
Comment 17 Postnikov Dmitry 2013-10-08 15:46:05 MSD
(In reply to comment #14)
> (In reply to comment #12)
> > Why you install legacy GRUB?!!
> > 
> > grub-0.97 not a grub2
> 
> Sorry, I fix it. The update route to extended testing.

*****************************
Extended testing report
***************************

All packages work fine, on 3 computers.
Comment 18 Vladimir Potapov 2013-10-08 15:51:17 MSD
grub2-2.00-28-rosa2012.1
grub2-theme-rosa-2.00-28-rosa2012.1
************************ Advisory *************************
Updated grub2. Theme has been put in separate package. New theme options for proportional scaling. Unifont handling updated.
***********************************************************
QA Verified